//	*******************************************************************************
//	Name	:	ask_cli.hxx
//			:	ask 
//	Author	:	I. Nakagawa
//	Create	:	2022/07/21
//	Modify	:	2022/07/21	
//	*******************************************************************************

#pragma		once

#include	<iostream>
#include	"i_define.hxx"
#include	"tstring.hxx"
//#include	"quotm.hxx"

////
//	*******************************************************************************
//	ask cli
//	Create	:	2022/07/21
//	*******************************************************************************
inline	tstring	ask_cli	(LPCTSTR msg=_T(""))
{
	tstring	cli ;
	while(true)	{
		tstring	buf ;
		buf.resize(1000) ;
		std::terr << msg ;
		std::tin.getline(&buf[0],std::streamsize(buf.size())) ;
	//	buf = ::QuotM_Del_All(buf.c_str()) ;
		if		(buf == _T("q"))	{	break ;		}
		else if (buf == _T("Q"))	{	break ;		}
		if (buf.empty())			{	continue ;	}
		cli = buf.c_str() ;
		break ;
		}
	return	cli ;
	}

////
//	*******************************************************************************
//	ask wait
//	Create	:	2022/07/21
//	*******************************************************************************
inline	bool	ask_wait	(void)
{
	tstring	buf ;
	buf.resize(1000) ;
	std::terr << _T("wait...") ;
	std::tin.getline(&buf[0],buf.size()) ;
	return	true ;
	}
